/* Test connection to MySQL server  */

Call RxFuncAdd "SQLLoadFuncs", "rexxsql", "SQLLoadFuncs"
Call SQLLoadFuncs
If SQLConnect( "c1", "allu", "Montreal", "world", "localhost") < 0 Then
   Do
    Say "MySQL error: The connection failed!"
    Exit 1
  End
If SQLPrepare("q1", "SELECT Name, District, Population FROM city WHERE CountryCode = 'GTM' ORDER BY Name") < 0 Then
  Do
    Say "MySQL error: The query failed for SQLPrepare!"
    Call SQLDisconnect("c1")
    Exit 1
  End
If SQLOpen("q1") < 0 Then
  Do
    Say "MySQL error: The query failed for SQLOpen!"
    Call SQLClose("q1")
    Call SQLDisconnect("c1")
    Exit 1
  End
Say "Cities in Guatemala:"
c = 0
Do Forever
  rc = SQLFetch('q1')
  If rc < 0 Then
    Do
      Say "MySQL error: The query failed for SQLFetch!"
      Call SQLClose("q1")
      Call SQLDisconnect("c1")
      Exit 1
    End
  If rc = 0 Then
    Leave
  Say q1.Name "("q1.District"):" q1.Population
  c = c + 1
End
If c = 0 Then
  Say "No cities found..."
Else
  Say "Number of cities = " c
Call SQLClose("q1")
Call SQLDisconnect("c1")
Return 0
